/**
 * FormItem 表单项组件
 * 表单中的每一项
 */
export declare class FormItem {
    el: HTMLElement;
    /** 字段名 */
    prop: string;
    /** 标签文本 */
    label: string;
    /** 标签宽度 */
    labelWidth?: string;
    /** 是否必填 */
    required: boolean;
    /** 该表单项的验证规则 */
    rules: any[];
    /** 表单尺寸 */
    size: 'large' | 'default' | 'small';
    errors: string[];
    isvalidating: boolean;
    componentDidLoad(): void;
    private get formRules();
    /**
     * 验证此字段
     */
    validate: () => Promise<string[]>;
    resetValue: () => void;
    getValue: () => any;
    render(): any;
}
